質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.69%
Google Cloud Platform

Google Cloud Platformは、Google社がクラウド上で提供しているサービス郡の総称です。エンドユーザー向けサービスと同様のインフラストラクチャーで運営されており、Webサイト開発から複雑なアプリ開発まで対応可能です。

Ubuntu

Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

Q&A

解決済

2回答

17821閲覧

apt-get updateのエラーメッセージ(?)の修正方法

japaslu

総合スコア22

Google Cloud Platform

Google Cloud Platformは、Google社がクラウド上で提供しているサービス郡の総称です。エンドユーザー向けサービスと同様のインフラストラクチャーで運営されており、Webサイト開発から複雑なアプリ開発まで対応可能です。

Ubuntu

Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

0グッド

0クリップ

投稿2018/10/05 15:15

編集2018/10/06 02:02

前提・実現したいこと

apt-get update

を実行した時に下の方にごちゃごちゃっと発生するエラーメッセージ(?)をなくしたいです。

発生しているエラーメッセージ

N: Option 'APT::Acquire::Translation' is deprecated. Please use 'Acquire::Languages' instead, see 'man 5 apt.conf' for details.

W: リポジトリ http://jp.archive.ubuntu.com/ubuntu stretch Release には Release ファイルがありません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
W: GPG エラー: https://dl.yarnpkg.com/debian stable InRelease: 公開鍵を利用できないため、以下の署名は検証できませんでした: NO_PUBKEY E074D16EB6FF4DE3
W: リポジトリ https://dl.yarnpkg.com/debian stable InRelease は署名されていません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
W: リポジトリ http://jp.archive.ubuntu.com/ubuntu stretch-updates Release には Release ファイルがありません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
W: GPG エラー: http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu trusty Release: 公開鍵を利用できないため、以下の署名は検証できませんでした: NO_PUBKEY 2EE5793634EF4A35
W: リポジトリ http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu trusty Release は署名されていません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
E: http://jp.archive.ubuntu.com/ubuntu/dists/stretch/main/source/Sources の取得に失敗しました 404 Not Found
E: http://jp.archive.ubuntu.com/ubuntu/dists/stretch-updates/main/source/Sources の取得に失敗しました 404 Not Found
E: いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。

補足情報

仕様:Ubuntu 18.04.1
ターミナルソフト:Rlogin
仮想サーバ:Google Cloud Platform

定型文すいません。当方初心者です。初歩的な質問かもしれません。質問の内容に腹を立ててしまうようなことがあるかもしれません。しかし、私は真剣に質問していますので、気を悪くしないでいただけたら幸いです。自分でも、調べているのですが、解決しませんでした。どうか、よろしくお願いします。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

また依頼した内容が修正された場合は、修正依頼を取り消すようにしましょう。

guest

回答2

2

W: リポジトリ http://jp.archive.ubuntu.com/ubuntu stretch Release には Release ファイルがありません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。

W: リポジトリ http://jp.archive.ubuntu.com/ubuntu stretch-updates Release には Release ファイルがありません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。

E: http://jp.archive.ubuntu.com/ubuntu/dists/stretch/main/source/Sources の取得に失敗しました 404 Not Found
E: http://jp.archive.ubuntu.com/ubuntu/dists/stretch-updates/main/source/Sources の取得に失敗しました 404 Not Found

このあたりのエラーは、Ubuntuの「stretch」や「stretch-updates」というバージョンのリポジトリを参照して失敗しています。が、Ubuntuにはそのようなバージョンはありません。Debianの設定と混同して誤ったリポジトリ設定を追加したものと思います。

W: GPG エラー: http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu trusty Release: 公開鍵を利用できないため、以下の署名は検証できませんでした: NO_PUBKEY 2EE5793634EF4A35
W: リポジトリ http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu trusty Release は署名されていません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。

このあたりのエラーは、PPAリポジトリを設定したものの、そのリポジトリの公開鍵を追加していない(そのリポジトリを信頼する設定をしていない)ことによるものです。そのPPAリポジトリのページに書かれている方法でリポジトリを追加するか、add-apt-repositoryコマンドでリポジトリを追加する必要があります。

W: GPG エラー: https://dl.yarnpkg.com/debian stable InRelease: 公開鍵を利用できないため、以下の署名は検証できませんでした: NO_PUBKEY E074D16EB6FF4DE3
W: リポジトリ https://dl.yarnpkg.com/debian stable InRelease は署名されていません。
N: このようなリポジトリから取得したデータは認証できないので、データの使用は潜在的に危険です。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。

このエラーもリポジトリの公開鍵を追加していないことによるものです。Yarnのインストールページに書かれている方法でリポジトリを追加する必要があります。

投稿2018/10/05 15:59

emasaka

総合スコア524

japaslu, miyabi-sun👍を押しています

下記のような回答は推奨されていません。

  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

また依頼した内容が修正された場合は、修正依頼を取り消すようにしましょう。

回答へのコメント

japaslu

2018/10/06 07:39

一つ目のエラーはレポジトリからURLを削除すればいいのですか? それと、エラーが出た時の先頭の英語の意味も同時に教えていただければ幸いです。
emasaka

2018/10/06 08:57

公開鍵が必要なリポジトリは公開鍵を追加して、設定が間違っているレポジトリはまずは削除してみてはいかがでしょうか。また、「先頭の英語」というのが「N:」とか「W:」とかのことでしたら、それぞれ「Notice(通知)」と「Warning(警告)」の意味で、メッセージのレベルを表しています。
guest

1

自己解決

サーバを削除して立て直しました。
emasakaさん、最後まで相談ありがとうございました。ご協力に添えず、すいませんでした。

投稿2018/10/06 13:57

japaslu

総合スコア22

yonn👍を押しています

下記のような回答は推奨されていません。

  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

また依頼した内容が修正された場合は、修正依頼を取り消すようにしましょう。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.69%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

同じタグがついた質問を見る

Google Cloud Platform

Google Cloud Platformは、Google社がクラウド上で提供しているサービス郡の総称です。エンドユーザー向けサービスと同様のインフラストラクチャーで運営されており、Webサイト開発から複雑なアプリ開発まで対応可能です。

Ubuntu

Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。